summaryrefslogtreecommitdiff
blob: c2d1aaa5bcb8c6c8c1cc9765f07d82a61f92787d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# This file requires eapi 5 or later. New entries go on top.
# Please use the same syntax as in package.use.mask

# Brian Evans <grknight@gentoo.org> (06 Dec 2018)
# Mask USE flag since argon2 dependency is not stable on most arches
dev-lang/php argon2

# Mikle Kolyada <zlogene@gentoo.org> (07 Nov 2018)
# sssd is only stable for amd64 and x86
app-admin/sudo sssd

# Andreas Sturmlechner <asturm@gentoo.org> (16 Oct 2018)
# app-misc/ddcutil is not yet stable.
kde-plasma/powerdevil brightness-control

# Michał Górny <mgorny@gentoo.org> (07 Jun 2018)
# sys-libs/netbsd-csu not stable yet.
sys-devel/clang-runtime crt

# Thomas Deutschmann <whissi@gentoo.org> (01 Jun 2018)
# Needs dev-ruby/asciidoctor which has a lot of unstable deps
net-analyzer/wireshark doc

# Andreas Sturmlechner <asturm@gentoo.org> (29 May 2018)
# Depends on unstable media-libs/libaom, net-libs/srt
media-video/vlc aom srt

# Andreas Sturmlechner <asturm@gentoo.org> (21 May 2018)
# Depends on lots of unstable dependencies
dev-python/s3fs test

# Andreas Sturmlechner <asturm@gentoo.org> (03 Mar 2018)
# sci-geosciences/grass is not stable
sci-geosciences/qgis grass

# Thomas Beierlein <tomjbe@gentoo.org> (21 Mar 2018)
# ~app-backup/bacula-9.0.6 does not compile with USE=libressl (bug #641492)
~app-backup/bacula-9.0.6 libressl

# Matthias Maier <tamiko@gentoo.org> (18 Mar 2018)
# dev-libs/capstone hasn't been stabilized yet
app-emulation/qemu capstone

# Kent Fredric <kentnl@gentoo.org> (3 Mar 2018)
# Not an officially supported configuration, as it causes unpredictable
# fragility and/or dependency headaches due to the very narrow interop window
# Bugs #649408, #641108, #640724
dev-perl/DBD-SQLite system-sqlite

# Ilya Tumaykin <itumaykin+gentoo@gmail.com> (13 Feb 2018)
# Requires >=dev-lang/mujs-1.0.0 stabilized. mpv-0.27.2 is stabilized
# due to a security bug, so we won't bother with javascript this time.
~media-video/mpv-0.27.2 javascript

# Andrey Grozin <grozin@gentoo.org> (24 Jan 2018)
# Depends on unstable dev-python/sphinx-gallery.
# Bug #643840.
dev-python/matplotlib doc

# Michał Górny <mgorny@gentoo.org> (20 Jan 2018)
# Requires proprietary fetch-restricted package that is not suitable
# for stabilization. Bug #645092.
net-proxy/haproxy device-atlas

# Bernard Cafarelli <voyageur@gentoo.org> (27 Nov 2017)
# Dependencies have no stable keyword
app-backup/backup-manager s3

# Brian Evans <grknight@gentoo.org (6 Nov 2017)
# Requires stable phpunit
dev-php/PEAR-Text_Password test

# Andreas Sturmlechner <asturm@gentoo.org> (22 Oct 2017)
# Requires unmaintained unstable dependency net-libs/gloox.
# The go flag requires stable masked dev-lang/go[gccgo].
www-servers/uwsgi go pypy uwsgi_plugins_alarm_xmpp

# Michael Palimaka <kensington@gentoo.org> (30 Sep 2017)
# Required dependeny is not stable
sci-libs/gdal mdb

# Tim Harder <radhermit@gentoo.org> (11 Sep 2017)
# Requires guile-2 which is still unstable.
>=net-irc/weechat-1.7 guile

# Michael Palimaka <kensington@gentoo.org) (11 Aug 2017)
# Unstable dependencies.
dev-util/rpmdevtools emacs

# Patrick McLean <chutzpah@gentoo.org> (11 Jul 2017)
# Requires >=net-dns/libidn2-2.0 stabilization
net-dns/dnsmasq libidn2

# Andreas Sturmlechner <asturm@gentoo.org> (23 Mar 2017)
# Requires dev-lang/julia stabilisation, bug #613576
kde-apps/cantor julia

# Brian Dolbec <dolsen@gentoo.org> (14 Feb 2017)
# This is stable masked as g-sorcery is being not actively developed.
app-portage/layman g-sorcery

# David Seifert <soap@gentoo.org> (12 Feb 2017)
# Unknown future, stable deps are hopelessly
# broken, only allow for unstable keywords
# Bug: #581058
net-misc/asterisk osplookup

# Johannes Huber <johu@gentoo.org> (28 Jan 2017)
# Unstable dependencies.
media-plugins/kipi-plugins mediawiki vkontakte

# Michael Palimaka <kensington@gentoo.org (26 Jan 2017)
# Requires testing version of media-libs/opencv
media-libs/mlt opencv

# Matthias Maier <tamiko@gentoo.org> (22 Jan 2017)
# sys-fs/zfs isn't going to be marked stable anytime soon
app-emulation/libvirt zfs

# Michael Palimaka <kensington@gentoo.org (18 Jan 2017)
# www-client/weboob is horribly outdated and not stable
app-office/kmymoney weboob

# Andreas K. Hüttel <dilfridge@gentoo.org> (15 Jan 2017)
# Has no stable reverse deps requiring this useflag
# Stable-masking it so Boost 1.62 stabilization can go ahead
sci-libs/vtk mpi

# Alon Bar-Lev <alonbl@gentoo.org> (01 Jan 2017)
# Will always require unstable packages.
net-libs/gnutls test-full

# Lars Wendler <polynomial-c@gentoo.org> (15 Dev 2016)
# Requires php:7.0 and ruby:2.2 being stable
>=dev-libs/Ice-3.6.3 php ruby

# Pacho Ramos <pacho@gentoo.org> (19 Aug 2016)
# Not ready to be stabilized yet.
app-admin/packagekit-base entropy

# Kristian Fiskerstrand <k_f@gentoo.org> (18 Aug 2016)
# Dropping stable for xtrabackup-bin, stable masking use
# flag until a source based version that doesn't depend
# on a vulnerable libgcrypt version is in tree
dev-db/mariadb sst-xtrabackup
dev-db/mariadb-galera sst-xtrabackup

# William Hubbs <williamh@gentoo.org (13 Apr 2016)
# Needs gcc-5 which is currently unstable
dev-lang/go gccgo

# Sergey Popov <pinkbyte@gentoo.org> (15 Feb 2016)
# Mask monitoring capabilities of Ganeti on stable branches
app-emulation/ganeti monitoring

# Pacho Ramos <pacho@gentoo.org> (15 May 2015)
# Version compatible with current ffmpeg is not ready to be stabilized
# bug #539212
app-emulation/vice ffmpeg

# Jeroen Roovers <jer@gentoo.org> (26 Apr 2015)
# mongodb support is nice, but dev-libs/mongo-c-driver upstream is not ready
# yet (bug #542210)
net-analyzer/pmacct mongodb

# Pacho Ramos <pacho@gentoo.org>
# sci-visualization/paraview is not ready for stabilization yet
# See bug #541012
sci-libs/openfoam paraview

# Ben de Groot <yngwin@gentoo.org>
# Mask experimental feature on stable. This also needs not yet stable mupdf.
app-text/qpdfview fitz

# Andreas K. Huettel <dilfridge@gentoo.org> (12 Feb 2015)
# Pulls in way too many unstable sci packages
app-office/libreoffice coinmp

# Andreas K. Huettel <dilfridge@gentoo.org> (30 Oct 2014)
# Pulls in sci-libs/vtk with a lot of new dependencies; stabilizing
# that will take some more time
media-libs/opencv vtk

# Mikle Kolyada <zlogene@gentoo.org> (16 Aug 2014)
# Not yet stabilized dependency, need more testing
>=dev-perl/PDL-2.4.11 pdl2 pgplot

# Samuli Suominen <ssuominen@gentoo.org> (01 Aug 2014)
# Optional (not required by anything in gentoo-x86) and fragile (based on
# host system, like Java JRE version). Keep masked indefinately until
# something starts requiring these.
# https://bugs.gentoo.org/483372 and https://bugs.gentoo.org/508564
media-libs/libcaca java mono

# Alon Bar-Lev <alonbl@gentoo.org> (21 Jul 2014)
# dev-libs/opencryptoki will not be stabile any time soon (bug#510204)
app-crypt/tpm-tools pkcs11

# Doug Goldstein <cardoe@gentoo.org> (12 Sep 2013)
# Waiting on glusterfs maintainers in bug #484016
app-emulation/qemu glusterfs

# Ian Delaney <idella4@gentoo.org> (09 Dec 2013)
# subsequent to the total inaction of the maintainer of
# ocaml to honour / respond in any way to
# Bug #486076, ocaml masked to allow xen to once again
# become a stabilisable package
app-emulation/xen-tools ocaml

# Samuli Suominen <ssuominen@gentoo.org> (19 Mar 2014)
# Some open source OpenCL providers cause sandbox violation while accessing /dev/dri/card*
# from a command like eg. `/usr/bin/mogrify -version`, see bug #472766
media-gfx/imagemagick opencl

# Andreas K. Huettel <dilfridge@gentoo.org> (28 Mar 2013)
# Depends on unstable sci-libs/avogadrolibs
kde-apps/kalzium editor